com.ihr.xbrl.om.formula

## Class HasNothingParamemetersResolver

- java.lang.Object
- - com.ihr.xbrl.om.formula.HasNothingParamemetersResolver

- All Implemented Interfaces:
    XBRLFormulaParametersResolver

      public class HasNothingParamemetersResolver
      extends java.lang.Object
      implements XBRLFormulaParametersResolver

  This class is the default parameters resolver. It just does nothing. all parameter data types are xsd:anyType and all values are set to new XdmAtomicValue("1")
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HasNothingParamemetersResolver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.namespace.QName` | `getParameterDataType(javax.xml.namespace.QName name)` Returns the type name of a parameter using the parameter name.
    `net.sf.saxon.s9api.XdmAtomicValue` | `getParameterValue(javax.xml.namespace.QName name, net.sf.saxon.s9api.Processor proc, javax.xml.namespace.QName dataType)` This function returns the parameter value assigned to a parameter name indicated by the name parameter.
    `boolean` | `hasValueForParameter(javax.xml.namespace.QName name, javax.xml.namespace.QName dataType)` Returns true if this Formula Parameter Resolver has value and data type for the parameter indicated in the name parameter.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HasNothingParamemetersResolver

          public HasNothingParamemetersResolver()

  - ### Method Detail

    - #### getParameterDataType

          public javax.xml.namespace.QName getParameterDataType(javax.xml.namespace.QName name)

      Description copied from interface: `XBRLFormulaParametersResolver`
      Returns the type name of a parameter using the parameter name.
      Specified by:
        `getParameterDataType` in interface `XBRLFormulaParametersResolver`
      Parameters:
        `name` - the parameter name.
      Returns:
        a QName with the defined parameter data type or null if the resolver does not have a value for the parameter name.

    - #### getParameterValue

          public net.sf.saxon.s9api.XdmAtomicValue getParameterValue(javax.xml.namespace.QName name,
                                                            net.sf.saxon.s9api.Processor proc,
                                                            javax.xml.namespace.QName dataType)

      Description copied from interface: `XBRLFormulaParametersResolver`
      This function returns the parameter value assigned to a parameter name indicated by the name parameter.
      Specified by:
        `getParameterValue` in interface `XBRLFormulaParametersResolver`
      Parameters:
        `name` - the parameter name.
        `proc` - instance of the saxon Processor may be required for certain data types.
        `dataType` - This is the suggested data type. It may be null if not indicated in the formula linkbase.
      Returns:
        XdmAtomicValue or null if the resolver does not have a value for the parameter name.

    - #### hasValueForParameter

          public boolean hasValueForParameter(javax.xml.namespace.QName name,
                                     javax.xml.namespace.QName dataType)

      Description copied from interface: `XBRLFormulaParametersResolver`
      Returns true if this Formula Parameter Resolver has value and data type for the parameter indicated in the name parameter.
      Specified by:
        `hasValueForParameter` in interface `XBRLFormulaParametersResolver`
      Parameters:
        `name` - the parameter name
        `dataType` - the data type
      Returns:
        boolean, true or false